Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3044 - apache segfaults on sparc64 with mod_perl on startup
Summary: apache segfaults on sparc64 with mod_perl on startup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl
Version: 6.0
Hardware: sparc
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-25 17:04 UTC by werner.guenther
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:07:41 UTC


Attachments (Terms of Use)

Description werner.guenther 1999-05-25 17:04:24 UTC
Apache core dumps when initializing mod_perl on ultra-10
and ultra-250 machines. Recompiling mod_perl from SRPM
didn't help.

Output from a gdb run of apache with mod_perl enabled:

(gdb) run
Starting program: /usr/sbin/httpd

Program received signal SIGSEGV, Segmentation fault.
0x704de558 in my_exit_jump ()
(gdb) where
#0  0x704de558 in my_exit_jump ()
#1  0x704de470 in my_exit_jump ()
#2  0x705084d4 in Perl_warn ()
#3  0x70506e2c in perl_new_collate ()
#4  0x705072f8 in perl_init_i18nl10n ()
#5  0x704bfce4 in perl_startup ()
#6  0x704bf928 in perl_module_init ()
#7  0x1b8f8 in ap_init_modules ()
#8  0x243e8 in main ()
#9  0x701338d0 in __libc_start_main () at
../sysdeps/generic/libc-start.c:78

Regards,
Werner Guenther

Comment 1 Bill Nottingham 2000-02-05 20:07:59 UTC
This has been fixed since 6.1, IIRC.


Note You need to log in before you can comment on or make changes to this bug.